Create registry
curl --request POST \
--url https://api.prd.rad.security/accounts/{account_id}/registries \
--header 'Content-Type: application/json' \
--data '
{
"aws_account_id": "<string>",
"aws_region": "<string>",
"gcp_location": "<string>",
"gcp_project_id": "<string>",
"gcp_project_number": "<string>",
"repository_name": "<string>",
"type": "<string>"
}
'import requests
url = "https://api.prd.rad.security/accounts/{account_id}/registries"
payload = {
"aws_account_id": "<string>",
"aws_region": "<string>",
"gcp_location": "<string>",
"gcp_project_id": "<string>",
"gcp_project_number": "<string>",
"repository_name": "<string>",
"type": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
aws_account_id: '<string>',
aws_region: '<string>',
gcp_location: '<string>',
gcp_project_id: '<string>',
gcp_project_number: '<string>',
repository_name: '<string>',
type: '<string>'
})
};
fetch('https://api.prd.rad.security/accounts/{account_id}/registries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "<string>",
"aws_account_id": "<string>",
"aws_region": "<string>",
"created_at": "<string>",
"gcp_location": "<string>",
"gcp_project_id": "<string>",
"gcp_project_number": "<string>",
"id": "<string>",
"repository_name": "<string>",
"type": "<string>",
"updated_at": "<string>"
}{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}Image Scanning
Create registry
POST
/
accounts
/
{account_id}
/
registries
Create registry
Path Parameters
Account ID
Body
application/json
Registry
⌘I